# event\_enable

### Function

> event\_enable

### Syntax

> event\_enable( EventId );

### Parameters

**\[ Expression (EventId)]**

Event ID of the event that needs to be activated.

### Description

Enables an event by its Event ID.

### Examples

`event_enable(1);`

Enable an event with `EventId = 1`.

When an event is executed, the `$event_id` pseudo-register contains the target event's ID.

### Remarks

You can see events' ID using the [event](https://docs.hyperdbg.org/commands/debugging-commands/events) command. The first column of [this command](https://docs.hyperdbg.org/commands/debugging-commands/events)'s results shows the event ID.

Starting from **v0.2**, this function is changed from `enable_event` to `event_enable`.

### Related

[event\_disable](https://docs.hyperdbg.org/commands/scripting-language/functions/events/event_disable)

[event\_clear](https://docs.hyperdbg.org/commands/scripting-language/functions/events/event_clear)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyperdbg.org/commands/scripting-language/functions/events/event_enable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
